<?php

declare(strict_types=1);

namespace Inpsyde\MultilingualPress\Framework\Translator;

use Inpsyde\MultilingualPress\Framework\Api\Translation;
use Inpsyde\MultilingualPress\Framework\Api\TranslationSearchArgs;

/**
 * Null translator implementation.
 */
final class NullTranslator implements Translator
{
    /**
     * @inheritdoc
     */
    public function translationFor(int $siteId, TranslationSearchArgs $args): Translation
    {
        return new Translation();
    }
}
